Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export
Class GenericElementReportTransformer

    java.lang.Object
      net.sf.jasperreports.engine.export.GenericElementReportTransformer

    public final class GenericElementReportTransformer

extends java.lang.Object

A utility class that applies `GenericElementTransformers` to a filled report.

Version:
  $Id: GenericElementReportTransformer.java 3713 2010-04-08 11:06:05Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  `GenericElementTransformer`

Nested Class Summary
`protected static class` | `GenericElementReportTransformer.TransformerContext`

Method Summary
`protected static void` | `transformElements(GenericElementReportTransformer.TransformerContext context, java.lang.String transformerExportKey, java.util.List elements)`
`static void` | `transformGenericElements(JasperPrint report, java.lang.String transformerExportKey)` Applies generic element transformers of a specific key to a filled report by replacing generic elements with the transformed elements.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### transformGenericElements

    public static void transformGenericElements(JasperPrint report,
                                                java.lang.String transformerExportKey)

  Applies generic element transformers of a specific key to a filled report by replacing generic elements with the transformed elements.

  Parameters:
    `report` - the report
    `transformerExportKey` - the key used to resolve element transformers
  See Also:
    `GenericElementTransformer`, `GenericElementHandlerBundle.getHandler(String, String)`

### transformElements

    protected static void transformElements(GenericElementReportTransformer.TransformerContext context,
                                            java.lang.String transformerExportKey,
                                            java.util.List elements)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com